import pytest
import requests


@pytest.mark.poke
def test_poke():
    """
    This is a poke test create for partial env and MCS2 envs.
    Calls health check endpoint directly without SSL because we don't run psc.gateway in partial env

    """
    health_check_url = "http://ags-change-event-processor:8080/agschangeeventprocessor/health_check"
    response = requests.get(health_check_url)
    response_json = response.json()
    expected_message = "Ags Change Event Processor is up and running"
    assert expected_message in response_json.get("message"), \
        "Expected {} in message. Actual: {}".format(expected_message, response.json().get("message"))
